## libmodulemd 2.9.4

=== meson_options.txt ===
# This file is part of libmodulemd
# Copyright (C) 2017-2018 Stephen Gallagher
#
# Fedora-License-Identifier: MIT
# SPDX-2.0-License-Identifier: MIT
# SPDX-3.0-License-Identifier: MIT
#
# This program is free software.
# For more information on the license, see COPYING.
# For more information on free software, see <https://www.gnu.org/philosophy/free-sw.en.html>.
#
# REMEMBER TO UPDATE THE SUMMARY() IN meson.build when adding options here

option('developer_build', type : 'boolean', value : true,
       description : 'Enables automatic code formatters and memory leak checks. This option should be set to FALSE for release builds.')

option('libmagic', type : 'feature', value : 'enabled',
       description : 'Enables the use of libmagic to detect compression of YAML files.')

option('python_name', type : 'string',
       description : 'The name of the Python 3 interpreter to use for generating Python bindings and running tests. If left blank, it defaults to the version of Python 3 being used to run meson.')

option('rpmio', type : 'feature', value : 'enabled',
       description : 'Use the rpmio library to automatically decompress gzip, bzip2 and xz YAML streams.')

option('skip_formatters', type : 'boolean', value : false,
       description : 'Do not do any automatic formatting of source code.')

option('skip_introspection', type : 'boolean', value : false,
       description : 'Do not generate GObject Introspection data.')

option('test_dirty_git', type : 'boolean', value : false,
       description : 'Check whether the automatic formatting tools have made changes. Used during CI to verify coding style compliance.')

option('test_installed_lib', type : 'boolean', value : false,
       description : 'Build only the test suite and run it against a copy of libmodulemd installed on the local system.')

option('with_docs', type : 'boolean', value : true,
       description : 'Build API documentation.')

option('with_manpages', type : 'feature', value : 'auto',
       description : 'Build manual pages for included executables.')

option('with_py2', type : 'boolean', value : false,
       description : 'Build Python 2 language bindings and run Python 2 tests.')

option('gobject_overrides_dir_py2', type : 'string',
       description : 'Path to Python 2 PyGObject overrides directory. Leave empty to determine it automatically.')

option('gobject_overrides_dir_py3', type : 'string',
       description : 'Path to Python 3 PyGObject overrides directory. Leave empty to determine it automatically.')

=== debian/changelog ===
libmodulemd (2.9.4-2) unstable; urgency=medium

  * Bump the timeout for the unit tests to hopefully fix the FTBFS cases
    on some of the autobuilders.

 -- Peter Pentchev <roam@debian.org>  Sun, 26 Jul 2020 10:48:30 +0300

libmodulemd (2.9.4-1) unstable; urgency=low

  * Initial release. Closes: #961806.

 -- Peter Pentchev <roam@debian.org>  Fri, 19 Jun 2020 00:08:38 +0300

=== debian/control ===
Source: libmodulemd
Section: libs
Priority: optional
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 help2man,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libmagic-dev,
 librpm-dev,
 libyaml-dev,
 meson,
 pkg-config,
 python3-gi,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libmodulemd.git
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libmodulemd
Homepage: https://github.com/fedora-modularity/libmodulemd
Rules-Requires-Root: no

Package: libmodulemd2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C Library for handling module metadata files
 The libmodulemd API provides an interface for handling metadata
 files describing the modular repositories introduced in the Fedora
 project and RedHat Enterprise Linux.
 .
 This package contains the shared library.

Package: libmodulemd-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 gir1.2-modulemd-2.0 (= ${binary:Version}),
 libglib2.0-dev,
 libmodulemd2 (= ${binary:Version}),
 librpm-dev,
 libyaml-dev,
Description: C Library for handling module metadata files - development files
 The libmodulemd API provides an interface for handling metadata
 files describing the modular repositories introduced in the Fedora
 project and RedHat Enterprise Linux.
 .
 This package contains the header files needed for development.

Package: libmodulemd-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libmodulemd2 (= ${binary:Version}),
Description: C Library for handling module metadata files - utilities
 The libmodulemd API provides an interface for handling metadata
 files describing the modular repositories introduced in the Fedora
 project and RedHat Enterprise Linux.
 .
 This package contains the command-line utilities.

Package: gir1.2-modulemd-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: C Library for handling module metadata files - introspection
 The libmodulemd API provides an interface for handling metadata
 files describing the modular repositories introduced in the Fedora
 project and RedHat Enterprise Linux.
 .
 This package contains the gobject-introspection definitions.

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

%:
	dh '$@'

override_dh_auto_configure:
	dh_auto_configure -- -Dwith_docs=false -Dwith_manpages=enabled -Dpython_name=python3 -Dwith_py2=false -Dskip_formatters=true -Ddeveloper_build=false

override_dh_auto_test:
	dh_auto_test -- -t 10

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## libmodulemd 2.12.0

=== meson_options.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 #
 # REMEMBER TO UPDATE THE SUMMARY() IN meson.build when adding options here
 
-option('developer_build', type : 'boolean', value : true,
-       description : 'Enables automatic code formatters and memory leak checks. This option should be set to FALSE for release builds.')
+option('verbose_tests', type : 'boolean', value : true,
+       description : 'Tests that are run under the "debug" configuration will print all debug messages. Disable this option for valgrind checks, as it speeds it up substantially.')
 
 option('libmagic', type : 'feature', value : 'enabled',
        description : 'Enables the use of libmagic to detect compression of YAML files.')
@@ -23,14 +23,8 @@
 option('rpmio', type : 'feature', value : 'enabled',
        description : 'Use the rpmio library to automatically decompress gzip, bzip2 and xz YAML streams.')
 
-option('skip_formatters', type : 'boolean', value : false,
-       description : 'Do not do any automatic formatting of source code.')
-
 option('skip_introspection', type : 'boolean', value : false,
        description : 'Do not generate GObject Introspection data.')
-
-option('test_dirty_git', type : 'boolean', value : false,
-       description : 'Check whether the automatic formatting tools have made changes. Used during CI to verify coding style compliance.')
 
 option('test_installed_lib', type : 'boolean', value : false,
        description : 'Build only the test suite and run it against a copy of libmodulemd installed on the local system.')

=== debian/changelog ===
libmodulemd (2.12.0-1) unstable; urgency=medium

  * Declare compliance with Policy 4.5.1 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * Add a trivial git-buildpackage config file.
  * New upstream release:
    - replace the typos patch with newly-needed fixes
    - update the upstream copyright information
    - update the library symbols file
    - drop the developer_build and skip_formatters options from the meson
      invocation, they are no longer used in the upstream build

 -- Peter Pentchev <roam@debian.org>  Thu, 11 Feb 2021 17:23:55 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  meson,
  pkg-config,
  python3-gi,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libmodulemd.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libmodulemd
 Homepage: https://github.com/fedora-modularity/libmodulemd

=== debian/tests/control ===
Tests: upstream.sh
Depends: @, build-essential, libmagic-dev, pkg-config, meson, python3-gi

=== debian/watch ===
version=4
https://github.com/fedora-modularity/libmodulemd/releases .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## libmodulemd 2.13.0

=== debian/changelog ===
libmodulemd (2.13.0-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.0 with no changes.
  * autopkgtest: fix the test with meson 0.60 by not passing
    the obsolete "developer_build" meson option. Closes: #998026
  * Move the Python gir override to the gir-* package, drop the Python
    handling and runtime dependency, and add python3-six as a dependency in
    the autopkgtest environment. Closes: #996113
  * Adapt the watch file for modulemd-*.tar.xz releases.
  * New upstream release:
    - update the library symbols file
    - update the upstream copyright years

 -- Peter Pentchev <roam@debian.org>  Fri, 29 Oct 2021 01:30:29 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,
- dh-sequence-python3,
  help2man,
  libgirepository1.0-dev,
  libglib2.0-dev,
@@ -16,7 +15,7 @@
  meson,
  pkg-config,
  python3-gi,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libmodulemd.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libmodulemd
 Homepage: https://github.com/fedora-modularity/libmodulemd
@@ -39,7 +38,6 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- ${python3:Depends},
  ${shlibs:Depends},
  gir1.2-modulemd-2.0 (= ${binary:Version}),
  libglib2.0-dev,
@@ -81,4 +79,7 @@
  files describing the modular repositories introduced in the Fedora
  project and RedHat Enterprise Linux.
  .
- This package contains the gobject-introspection definitions.
+ This package contains the gobject-introspection definitions. Note that
+ there is an override written in Python, so any packages that use
+ the GObject introspection definitions with the libmodulemd Python
+ bindings must also depend on python3:any and python3-six.

=== debian/tests/control ===
Tests: upstream.sh
Depends: @, build-essential, libmagic-dev, pkg-config, meson, python3-gi, python3-six

=== debian/watch ===
version=4
https://github.com/fedora-modularity/libmodulemd/releases .*/(?:lib)?modulemd-@ANY_VERSION@@ARCHIVE_EXT@

## libmodulemd 2.14.0

=== debian/changelog ===
libmodulemd (2.14.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:16:58 +0000

libmodulemd (2.14.0-3build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:26:38 +0000

libmodulemd (2.14.0-3) unstable; urgency=medium

  * Declare that the gir-* package Breaks+Replaces older versions of
    the -dev one. Closes: #1034935

 -- Peter Pentchev <roam@debian.org>  Fri, 28 Apr 2023 04:48:28 +0300

libmodulemd (2.14.0-2) unstable; urgency=medium

  * Use the GitHub API in the watch file.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Clean up a Python cache directory.

 -- Peter Pentchev <roam@debian.org>  Mon, 26 Dec 2022 13:38:43 +0200

libmodulemd (2.14.0-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the year 2022 to my debian/* copyright notice.
  * New upstream release:
    - refresh the line numbers in the typos patch
    - add three new functions to the library symbols file

 -- Peter Pentchev <roam@debian.org>  Fri, 09 Sep 2022 11:53:04 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libmodulemd
 Section: libs
 Priority: optional
-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders: Peter Pentchev <roam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,7 +16,7 @@
  meson,
  pkg-config,
  python3-gi,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libmodulemd.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libmodulemd
 Homepage: https://github.com/fedora-modularity/libmodulemd
@@ -70,6 +71,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
+Breaks: libmodulemd-dev (<< 2.13.0-1~)
+Replaces: libmodulemd-dev (<< 2.13.0-1~)
 Depends:
  ${gir:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh '$@'
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dwith_docs=false -Dwith_manpages=enabled -Dpython_name=python3 -Dwith_py2=false -Dskip_formatters=true -Ddeveloper_build=false
+	dh_auto_configure -- -Dwith_docs=false -Dwith_manpages=enabled -Dpython_name=python3 -Dwith_py2=false
 
 override_dh_auto_test:
 	dh_auto_test -- -t 10

## libmodulemd 2.15.0

=== xml_specs/complete/Makefile ===
.PHONY: check

check:
	$(MAKE) -C tests

=== xml_specs/complete/tests/Makefile ===
SCHEMA = ../schema.xsd
GOOD = $(wildcard good/*.xml)
BAD = $(wildcard bad/*.xml)
GOOD_OUT = $(patsubst %.xml,%.out,$(GOOD))
BAD_OUT = $(patsubst %.xml,%.out,$(BAD))
.PHONY: bad check example good

check: bad good example

example: $(SCHEMA) ../example.xml
	xmllint --noout --schema "$(SCHEMA)" ../example.xml

good: $(GOOD_OUT)

bad: $(BAD_OUT)

good/%.out: $(SCHEMA) good/%.xml
	xmllint --noout --schema "$(SCHEMA)" good/$*.xml

.ONESHELL:
bad/%.out: $(SCHEMA) bad/%.xml
	@xmllint --noout --schema "$(SCHEMA)" bad/$*.xml 2>/dev/null
	RETVAL=$$?
	if [ "$$RETVAL" == 3 ]; then
		echo "bad/$*.xml fails to validate as expected"
		exit 0
	fi
	if [ "$$RETVAL" == 0 ]; then
		echo "bad/$*.xml unexpectedly validated"
	else
		echo "bad/$*.xml failed to be processed"
	fi
	exit 1

=== debian/changelog ===
libmodulemd (2.15.0-1) unstable; urgency=medium

  * Bump the timeout for the autopkgtest, too, as was done for
    the unit tests in 2.9.4-2. Closes: #1090354
  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the years 2023 and 2024 to my debian/* copyright notice.
  * Build-depend on pkgconf instead of the obsolete pkg-config.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF metadata.
  * Use debhelper compat level 14 and X-DH-Compat.
  * Let debhelper take care of some dependencies automatically.
  * Use debputy's X-Style: black.
  * New upstream release:
    - update the symbols file
    - no longer uses libmagic, so drop the build dependency

 -- Peter Pentchev <roam@debian.org>  Wed, 18 Dec 2024 03:15:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: libmodulemd
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
-Uploaders: Peter Pentchev <roam@debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders:
+ Peter Pentchev <roam@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
  dh-sequence-gir,
+ dpkg-build-api (= 1),
  help2man,
  libgirepository1.0-dev,
  libglib2.0-dev,
- libmagic-dev,
  librpm-dev,
  libyaml-dev,
  meson,
- pkg-config,
+ pkgconf,
  python3-gi,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libmodulemd.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libmodulemd
 Homepage: https://github.com/fedora-modularity/libmodulemd
-Rules-Requires-Root: no
+X-Style: black
 
 Package: libmodulemd2
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: C Library for handling module metadata files
  The libmodulemd API provides an interface for handling metadata
  files describing the modular repositories introduced in the Fedora
@@ -38,8 +39,6 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  gir1.2-modulemd-2.0 (= ${binary:Version}),
  libglib2.0-dev,
  libmodulemd2 (= ${binary:Version}),
@@ -57,8 +56,6 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  libmodulemd2 (= ${binary:Version}),
 Description: C Library for handling module metadata files - utilities
  The libmodulemd API provides an interface for handling metadata
@@ -71,12 +68,10 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Breaks: libmodulemd-dev (<< 2.13.0-1~)
-Replaces: libmodulemd-dev (<< 2.13.0-1~)
-Depends:
- ${gir:Depends},
- ${misc:Depends},
- ${shlibs:Depends},
+Breaks:
+ libmodulemd-dev (<< 2.13.0-1~),
+Replaces:
+ libmodulemd-dev (<< 2.13.0-1~),
 Description: C Library for handling module metadata files - introspection
  The libmodulemd API provides an interface for handling metadata
  files describing the modular repositories introduced in the Fedora

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 # Aim for the top, adapt if anything should break on the buildds.
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
 export DEB_BUILD_MAINT_OPTIONS
+
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 %:
 	dh '$@'

=== debian/tests/control ===
Tests:
 upstream.sh,
Depends:
 build-essential,
 libmagic-dev,
 meson,
 pkg-config,
 python3-gi,
 python3-six,
 @,

## libmodulemd 2.15.2

=== debian/changelog ===
libmodulemd (2.15.2-3) unstable; urgency=medium

  * Drop python3-six from the autopkgtest's dependencies.
    Closes: #1126999

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Feb 2026 01:26:44 +0200

libmodulemd (2.15.2-2) unstable; urgency=medium

  * Add the tests-adapt-to-glib-2.87.0 upstream patch to also make
    the tests work with glib 2.87 (currently in experimental).
    Thanks, Alessandro Astone!

 -- Peter Pentchev <roam@debian.org>  Wed, 04 Feb 2026 23:10:48 +0200

libmodulemd (2.15.2-1) unstable; urgency=medium

  * Declare Standards-Version 4.7.3, drop the implied Priority: optional.
  * Add the year 2026 to my debian/* copyright notice.
  * Drop Breaks/Replaces satisfied in oldstable.
  * Add a superficial `debputy reformat` autopkgtest.
  * Convert the watch file to version 5 of the format.
  * Add Salsa CI configuration.
  * Add the test-import-headers-flags patch prompted by blhc.
  * Correct the gobject-introspection build dependencies. Closes: #1118878
  * Add the python-no-six patch to drop the use of python3-six in
    the g-ir override. Closes: #1081759
  * New upstream release:
    - update the upstream copyright years

 -- Peter Pentchev <roam@debian.org>  Tue, 06 Jan 2026 02:50:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libmodulemd
 Section: libs
-Priority: optional
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders:
  Peter Pentchev <roam@debian.org>,
@@ -9,15 +8,16 @@
  dh-package-notes,
  dh-sequence-gir,
  dpkg-build-api (= 1),
+ gir1.2-gobject-2.0-dev,
+ gobject-introspection (>= 1.80),
  help2man,
- libgirepository1.0-dev,
  libglib2.0-dev,
  librpm-dev,
  libyaml-dev,
  meson,
  pkgconf,
  python3-gi,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 X-DH-Compat: 14
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libmodulemd.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libmodulemd
@@ -39,11 +39,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- gir1.2-modulemd-2.0 (= ${binary:Version}),
  libglib2.0-dev,
  libmodulemd2 (= ${binary:Version}),
  librpm-dev,
  libyaml-dev,
+ ${gir:Depends},
 Description: C Library for handling module metadata files - development files
  The libmodulemd API provides an interface for handling metadata
  files describing the modular repositories introduced in the Fedora
@@ -68,10 +68,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Breaks:
- libmodulemd-dev (<< 2.13.0-1~),
-Replaces:
- libmodulemd-dev (<< 2.13.0-1~),
+Depends:
+ ${gir:Depends},
 Description: C Library for handling module metadata files - introspection
  The libmodulemd API provides an interface for handling metadata
  files describing the modular repositories introduced in the Fedora
@@ -80,4 +78,4 @@
  This package contains the gobject-introspection definitions. Note that
  there is an override written in Python, so any packages that use
  the GObject introspection definitions with the libmodulemd Python
- bindings must also depend on python3:any and python3-six.
+ bindings must also depend on python3:any.

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,13 @@
  meson,
  pkg-config,
  python3-gi,
- python3-six,
  @,
+
+Test-Command: debputy reformat --no-auto-fix --linter-exit-code
+Depends:
+ dh-debputy,
+ python3-lsprotocol,
+Features:
+ test-name=debian-debputy,
+Restrictions:
+ superficial,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: fedora-modularity
Project: libmodulemd
